:: Reset_HealBot.bat
::
:: Deletes All Healbot addon text files from WTF
::
:: This must be run in the World of Warcraft _retail_, _classic_ or _classic_era_ folder
::
::

@ECHO OFF

IF NOT EXIST .\WTF\Account goto ERRHB

CLS
ECHO.
ECHO.
ECHO  Only use this when completely logged out of WoW
ECHO.
ECHO.
ECHO. Press [H] for Healbot
ECHO. Press [P] for Healbot plugins
ECHO.
ECHO.
ECHO  Any other key - Do NOTHING and exit
ECHO.
ECHO.

SET /P GOWHERE=Enter H or P: 
if not defined GOWHERE goto :SKIPALL

if /i %GOWHERE%==H goto HEALBOT
if /i %GOWHERE%==P goto PLUGIN

goto SKIPALL

:PLUGIN

CLS
ECHO.
ECHO. Reset Healbot plugin by deleting the plugin files in your WTF folder
ECHO.
ECHO  Enter plugin number to reset - any other key to exit
ECHO.

SetLocal EnableDelayedexpansion
@FOR /f "delims=" %%f IN ('dir /b /s ".\WTF\Account\HealBot_Plugin*.lua"') DO (
    if not defined FileNames[%%~nf] (
        set /a "idx+=1"
        set "FileName[!idx!]=%%~nf"
        set "FileNames[%%~nf]=!idx!"
    )
)
if not defined idx goto NOPLUGINS

for /L %%i in (1,1,%idx%) do (
    ECHO. [%%i] !FileName[%%i]!
)

ECHO.
SET /P GOPLUGIN=Select plugin to Reset: 
if not defined GOPLUGIN goto SKIPPLUGIN

set plugin=!FileName[%GOPLUGIN%]!
    
if %GOPLUGIN% GEQ 1 if %GOPLUGIN% LEQ %idx% goto DELPLUGIN

goto SKIPPLUGIN

:DELPLUGIN

cls

del /s ".\WTF\Account\%plugin%.*"

echo.
echo.
echo Deleted all %plugin% text files from WTF folders ** Completed **
echo.

goto DONE

:HEALBOT

CLS
ECHO.
ECHO  Reset Healbot by deleting Healbot files in your WTF folder
ECHO.
ECHO  Press [R] to reset Healbot - Any other key to exit
ECHO.

SET /P GOHEALBOT=Enter R to Reset: 
if not defined GOHEALBOT goto :SKIP

if /i %GOHEALBOT%==R goto DELHB

goto SKIP

:DELHB

cls

del /s .\WTF\Account\Healbot.* 2>nul
del /s .\WTF\Account\Healbot_Data.*

echo.
echo.
echo Deleted all healbot text files from WTF folders ** Completed **
echo.

goto DONE

:SKIPALL

echo.
echo.
echo  Nothing selected - NOTHING DELETED
echo.

goto DONE

:NOPLUGINS

echo.
echo. No plugins found

goto SKIPPLUGIN

:SKIPPLUGIN

echo.
echo.
echo  Plugin not selected - NOTHING RESET
echo.

goto DONE

:SKIP

echo.
echo.
echo  R NOT pressed - NOTHING RESET
echo.

goto DONE

:ERRHB

echo.
echo ERROR - === Folder WTF not found ===
echo.
echo ERROR - Running in the wrong Folder
echo ERROR - Run this in the World of Warcraft _retail_, _classic_ or _classic_era_ Folder
echo ERROR -     (ie. C:\Program Files\World of Warcraft\_retail_)
echo.

goto DONE

:DONE

pause

EXIT